package fr.emse.gitlab.saref.entities.git;

import java.util.Date;

import org.eclipse.jgit.lib.Ref;


public class MasterVersion extends Version {
	
	private static final String VERSION_INFO = "master";

	MasterVersion(Repository repository, Ref ref, Date issued) {
		super(repository, ref, issued);
	}

	@Override
	public String getPrefix() {
		return String.format("%s-%s:", super.getSuperPrefix(), VERSION_INFO);
	}

	@Override
	public String getUri() {
		return String.format("%s%s/", super.getSuperUri(), VERSION_INFO);
	}
	
	@Override
	public String getVersionName() {
		return VERSION_INFO;
	}

}
